<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('patient_post_arrivals', function (Blueprint $table) {
            $table->id();
            $table->string('patient_id');
            $table->string('user_id');
            $table->string('hospital_id');
            $table->enum('pickup', ['Yes', 'No']);
            $table->LongText('pickup_date');
            $table->string('country');
            $table->string('city');
            $table->enum('hotel_booking', ['Yes', 'No']);
            $table->string('hotel_name');
            $table->string('hotel_address');
            $table->LongText('description');
            $table->enum('status', ['1', '0']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('patient_post_arrivals');
    }
};
